--- a/ac/qt5.m4   2020-07-31 11:25:31.371508129 -0500
+++ b/ac/qt5.m4   2020-07-31 11:30:14.967322450 -0500
@@ -14,6 +14,11 @@
 AC_ARG_WITH([qt_pkg_config],
   AC_HELP_STRING([--without-qt-pkg-config], [do not use pkg-config for detecting Qt; instead rely on QT_CFLAGS/QT_LIBS being set correctly already]),
   [ with_qt_pkg_config=${withval} ], [ with_qt_pkg_config=yes ])
+AC_ARG_ENABLE([dbus],
+  AC_HELP_STRING([--enable-dbus],[enable/disable qtdbus/dbus from being included in build (yes)]),
+  [],[enable_dbus=yes])
+
+
 
 if test x"$enable_qt" = "xyes" -a \
   '(' x"$enable_gui" = x"yes" -o x"$enable_gui" = "x" ')'; then
@@ -169,11 +174,13 @@
       AC_MSG_RESULT(no: not found by pkg-config)
     fi
 
-    if test x"$MINGW" != x1 && ! echo "$host" | grep -q -i apple ; then
-      PKG_CHECK_EXISTS([Qt5DBus],[dbus_found=yes],[dbus_found=no])
-      if test x"$dbus_found" = xyes; then
-        with_qt_pkg_config_modules="$with_qt_pkg_config_modules,Qt5DBus"
-        AC_DEFINE(HAVE_QTDBUS, 1, [Define if QtDBus is present])
+    if test x"$enable_dbus" = xyes; then
+      if test x"$MINGW" != x1 && ! echo "$host" | grep -q -i apple ; then
+        PKG_CHECK_EXISTS([Qt5DBus],[dbus_found=yes],[dbus_found=no])
+        if test x"$dbus_found" = xyes; then
+          with_qt_pkg_config_modules="$with_qt_pkg_config_modules,Qt5DBus"
+          AC_DEFINE(HAVE_QTDBUS, 1, [Define if QtDBus is present])
+        fi
       fi
     fi
